kylin-scanner (3.2.1-0k2.3update7) nile; urgency=medium

  * BUG号:无
  * 需求号:无
  * 任务号: 无
  * 其他改动说明: nile for openkylin 2.0
  * 其他改动影响域:无

 -- fanyuchen <fanyuchen@kylinos.cn>  Mon, 11 Dec 2023 10:15:50 +0800

kylin-scanner (3.2.1-0k2.2) yangtze; urgency=medium

  * BUG号:无
  * 需求号:无
  * 任务号: #180620 新增多语言支持：维、哈、柯、德、西、法、蒙、藏、繁体 / kylin-scanner openkylin2.0 多语言翻译支持
  * 其他改动说明: 无
  * 其他改动影响域:无

 -- fanyuchen <fanyuchen@kylinos.cn>  Thu, 09 Nov 2023 10:40:37 +0800

kylin-scanner (3.2.1-0k2.1) yangtze; urgency=medium

  * BUG号:无
  * 需求号:无
  * 其他改动说明: 更新打点接口
  * 其他改动影响域:无

 -- fanyuchen <fanyuchen@kylinos.cn>  Fri, 13 Oct 2023 16:14:44 +0800

kylin-scanner (3.2.1-0k2.0) yangtze; urgency=medium

  * BUG号:无
  * 需求号:#22628 扫描仪自动安装驱动需求
  * 其他改动说明: 同步最新功能代码，添加扫描仪驱动自动安装功能，pdf多页扫描保存为一个pdf文件功能，剔除OpenCV相关代码（一键美化和智能纠偏算法改变），OCR改用SDK提供的开源算法。
  * 其他改动影响域:无

 -- fanyuchen <fanyuchen@kylinos.cn>  Sat, 23 Sep 2023 14:59:40 +0800

kylin-scanner (3.2.1-0k1.3) yangtze; urgency=medium

  * BUG号:#I5XFGZ 【平板模式】【扫描】已扫描多张图片，左侧预览图可以左右拖动
          #I5XHFF 【wayland】【扫描】【平板模式】偶现打开扫描后窗口未最大化
          #I72NVO 【文件管理器】扫描文件名称相同时，没有弹出已存在，你想覆盖它吗？的弹窗
  * 需求号:无
  * 其他改动说明: 无
  * 其他改动影响域:无

 -- fanyuchen <fanyuchen@kylinos.cn>  Thu, 24 Aug 2023 16:58:43 +0800

kylin-scanner (3.2.1-0k1.2) yangtze; urgency=medium

  * BUG号:#I7ESSU 【扫描】在识别扫描仪时按enter扫描应用闪退
  * 需求号:无
  * 其他改动说明: 无
  * 其他改动影响域:无

 -- fanyuchen <fanyuchen@kylinos.cn>  Tue, 01 Aug 2023 14:20:55 +0800

kylin-scanner (3.2.1-0k1.1) yangtze; urgency=medium

  * BUG号:#I7BHDG 【重要】【扫描】打开扫描应用按enter进行扫描出现应用闪退
  * 需求号:无
  * 其他改动说明: 无
  * 其他改动影响域:无

 -- fanyuchen <fanyuchen@kylinos.cn>  Fri, 09 Jun 2023 15:22:50 +0800

kylin-scanner (3.2.1-0k1.0) yangtze; urgency=medium

  * BUG号:无
  * 需求号:无
  * 其他改动说明:整改版本号
  * 其他改动影响域:无

 -- fanyuchen <fanyuchen@kylinos.cn>  Wed, 24 May 2023 14:22:33 +0800

kylin-scanner (3.2.0-0k8) yangtze; urgency=medium

  * BUG号:无
  * 需求号:无
  * 其他改动说明:修改关键字 v101 -> yangtze
  * 其他改动影响域:无

 -- fanyuchen <fanyuchen@kylinos.cn>  Tue, 25 Apr 2023 16:46:12 +0800

kylin-scanner (3.2.0-0k7) v101; urgency=medium

  * BUG号:#I5XHE0 【扫描】【平板模式】有最大化/还原按钮
         #I5XHFF 【扫描】【平板模式】偶现打开扫描后窗口未最大化 
         #I5XFGZ 【平板模式】【扫描】已扫描多张图片，左侧预览图可以左右拖动
         #I5XFBZ 【次要】【扫描】扫描enter快捷键不生效
         #I5XFAP 【扫描】最大化模式右上角选项菜单展开后，位置偏移
  * 需求号:无
  * 其他改动说明:将2209已解决的bug最新代码同步到平板分支
  * 其他改动影响域:无

 -- fanyuchen <fanyuchen@kylinos.cn>  Tue, 28 Mar 2023 17:06:43 +0800

kylin-scanner (3.2.0-0k6) v101; urgency=medium

  * BUG号:#144982 【扫描】对扫描文件操作的菜单太小，平板模式不好触摸操作
  * 需求号:无
  * 其他改动说明:将2209已解决的bug最新代码同步到平板分支
  * 其他改动影响域:无

 -- fanyuchen <fanyuchen@kylinos.cn>  Fri, 25 Nov 2022 16:55:05 +0800

kylin-scanner (3.2.0-0k5) v101; urgency=medium

  * BUG号:#145626 [设计要求pc模式和主线保持完全一致,平板模式做特殊修正]【平板】【设计】【扫描】顶栏高度/大小为调整
  * 需求号:无
  * 其他改动说明:按钮/comboBox高度平板模式的纠正
  * 其他改动影响域:无

 -- fanyuchen <fanyuchen@kylinos.cn>  Fri, 25 Nov 2022 16:54:21 +0800

kylin-scanner (3.2.0-0k4) v101; urgency=medium

  * BUG号：#145626 【平板】【设计】【扫描】顶栏高度/大小为调整
  * 需求号：无
  * 其他改动说明：三联按钮显隐根据设计稿调整调整
  * 其他改动影响域：无

 -- fanyuchen <fanyuchen@kylinos.cn>  Fri, 25 Nov 2022 16:53:19 +0800

kylin-scanner (3.2.0-0k2) v101; urgency=medium

  * BUG号：无
  * 需求号：无
  * 其他改动说明：修改项目名
  * 其他改动影响域：无

 -- zhaoyuzhen <zhaoyuzhen@kylinos.cn>  Mon, 26 Sep 2022 16:18:33 +0800

kylin-scanner (3.2.0-0k1) v101-tablet; urgency=medium

  * BUG号：无
  * 需求号：无
  * 其他改动说明：scanner code sync
  * 其他改动影响域：无

 -- zhaoyuzhen <zhaoyuzhen@kylinos.cn>  Mon, 26 Sep 2022 15:49:30 +0800

kylin-scanner (3.2.0-0k0) v101-tablet; urgency=medium

  * BUG号：无
  * 需求号：无
  * 其他改动说明：无
  * 其他改动影响域：无

 -- zhaoyuzhen <zhaoyuzhen@kylinos.cn>  Mon, 26 Sep 2022 15:21:19 +0800

kylin-scanner (3.2.0.16) v101; urgency=medium

  * BUG号:#139974 【扫描】文字识别后点击存储文本自定义名称不能保存
         #128516 【藏文】【扫描】帮助界面未藏化
         #98733 【扫描】文字识别的时候能进行“一键美化”与“纠偏”功能
         #104480 【用例242338】【扫描】设置重名文件扫描，没有提示直接覆盖
  * 需求号:无
  * 其他改动说明:无
  * 其他改动影响域:无

 -- zhaoyuzhen <zhaoyuzhen@kylinos.cn>  Thu, 22 Sep 2022 10:48:58 +0800

kylin-scanner (3.2.0.15) v101; urgency=medium

  * BUG号:#136770 【扫描】使用“一键美化”与“智能纠偏”功能时，扫描软件闪退
  * 需求号:无
  * 其他改动说明:无
  * 其他改动影响域:无

 -- zhaoyuzhen <zhaoyuzhen@kylinos.cn>  Thu, 15 Sep 2022 09:14:29 +0800

kylin-scanner (3.2.0.14) v101; urgency=medium

  * BUG号:无
  * 需求号:无
  * 其他改动说明:【自测bug】取消美化/纠偏加载图片的逻辑修正;纠偏本身是2的情况,归类到取消纠偏
  * 其他改动影响域:无

 -- zhaoyuzhen <zhaoyuzhen@kylinos.cn>  Sat, 03 Sep 2022 17:47:57 +0800

kylin-scanner (3.2.0.13) v101; urgency=medium

  * BUG号:#119818 【云桌面】【扫描】扫描失败
          #119809 【通用】【扫描】【用例322393】扫描失败
  * 需求号:无
  * 其他改动说明:无
  * 其他改动影响域:无

 -- zhaoyuzhen <zhaoyuzhen@kylinos.cn>  Fri, 26 Aug 2022 13:56:13 +0800

kylin-scanner (3.2.0.12) v101; urgency=medium

  * BUG号:#98919 【扫描】拖动扫描标题栏到桌面四角，改变扫描窗口大小后，标题栏按钮消失
          #99453 【扫描】拖动扫描标题栏到桌面四角，改变扫描窗口大小后，扫描页面显示不全
          #136814 【扫描】文字识别成功后点击‘存储文本’按钮软件闪退
  * 需求号:无
  * 其他改动说明:弹窗增加库返回的错误码
  * 其他改动影响域:无

 -- zhaoyuzhen <zhaoyuzhen@kylinos.cn>  Thu, 25 Aug 2022 14:32:09 +0800

kylin-scanner (3.2.0.11) v101; urgency=medium

  * BUG号：#135474 【测试用例361652转bug】【扫描】再次点击裁切选项，不能退出裁剪操作
           #114522 【用户手册|扫描】深色模式部分文字未反白
           #132617 【扫描】【PTOF】用户手册图片显示与实际不一致
           #132881 【reopen】【扫描】用户手册-扫描界面，导航栏中两字标题中间没有空格
  * 需求号：无
  * 其他改动说明：无
  * 其他改动影响域：无

 -- zhaoyuzhen <zhaoyuzhen@kylinos.cn>  Fri, 19 Aug 2022 17:37:28 +0800

kylin-scanner (3.2.0.10) v101; urgency=medium

  * BUG号：#128687 【扫描】扫描模块未完全适配藏语
           #128974 【扫描】点击开始扫描后应用闪退
           #133051 【扫描】点击开始扫描后应用闪退
           #133598 【PTOF】【扫描】扫描结束，点击另存为后应用闪退
           #128003 【扫描】扫描识别设备时拔掉其中一个扫描仪，切换到未拔掉的扫描仪，扫描闪退
           #127396 【云桌面】【扫描】多页扫描未在保存文件夹中生成扫描结果图片
  * 需求号：无
  * 其他改动说明：无
  * 其他改动影响域：无

 -- zhaoyuzhen <zhaoyuzhen@kylinos.cn>  Mon, 15 Aug 2022 15:17:59 +0800

kylin-scanner (3.2.0.9) v101; urgency=medium

  * BUG号：#102308 【扫描】多页扫描后，左边侧边栏切换扫描图片时，鼠标悬浮在图片上，选中状态框出现缓慢，建议优化
           #126415 【扫描】同一保存路径下设置已有名称扫描文件，没有弹出提示框
           #98964 【扫描】扫描时，断开设备，弹出的提示与设计稿不符
           #101028 【用户手册|扫描】扫描中描述的图的序号与实际图的序号不一致
           #132881 【扫描】用户手册-扫描界面，导航栏中两字标题中间没有空格
  * 需求号：无
  * 其他改动说明：无
  * 其他改动影响域：无

 -- zhaoyuzhen <zhaoyuzhen@kylinos.cn>  Wed, 03 Aug 2022 17:39:26 +0800

kylin-scanner (3.2.0.8) v101; urgency=medium

  * BUG号:#90991 【扫描】【需求id:9636】调整高分辨率、格式、名称后，进行扫描，扫描之后进行“一键美化”，扫描应用卡死
          #95440 【扫描】点击“一键美化”与“智能纠偏”功能后，弹窗出现缓慢
          #102300 【扫描】使用“一键美化”与“智能纠偏”功能时，优化时点击“取消”按钮，弹窗消失，但还是进行了优化
          #126449 【扫描】文字识别成功下进行智能纠错，点击取消后仍然智能纠错成功
          #109837 【用户手册】【扫描】用户手册首页扫描图标icon需替换为寻光主题图标
  * 需求号:无
  * 其他改动说明:无
  * 其他改动影响域:无

 -- zhaoyuzhen <zhaoyuzhen@kylinos.cn>  Fri, 29 Jul 2022 15:17:28 +0800

kylin-scanner (3.2.0.7) v101; urgency=medium

  * BUG号:#98959 【扫描】使用Canon-Lide-210扫描仪，在主页面拔掉扫描仪，点击开始扫描，弹出提示后，插回扫描仪，点击开始扫描，扫描应用闪退
          #98970 【扫描】使用Canon-Lide-210扫描仪，扫描时断开扫描仪，弹出提示后，插回扫描仪，再次点击开始扫描，扫描应用闪退
          #127266 【扫描】文字识别成功后‘另存为’按钮未变成‘存储文本’按钮
          #127376 【通用bug】【云桌面】【扫描】多页扫描时界面左侧没有缩略图
          #126476 【扫描】切换图标主题，任务栏的扫描图标不能实时变化
          #127002 【通用bug】【wayland】【扫描】连接扫描仪后点击开始扫描，提示"扫描失败请检查当前扫描仪连接..."（低概率在10分钟后能够扫描成功）
  * 需求号:无
  * 其他改动说明:无
  * 其他改动影响域:无

 -- zhaoyuzhen <zhaoyuzhen@kylinos.cn>  Tue, 26 Jul 2022 16:19:43 +0800

kylin-scanner (3.2.0.6) v101; urgency=medium

  * BUG号：#127014 【通用bug】【wayland】【扫描】识别到扫描仪可扫描状态下"开始扫描"按钮未变为蓝色，需要将鼠标移上去变亮
          #127002 【通用bug】【wayland】【扫描】连接扫描仪后点击开始扫描，提示"扫描失败请检查当前扫描仪连接..."（低概率在10分钟后能够扫描成功）
  * 需求号：无
  * 其他改动说明：无
  * 其他改动影响域：无

 -- zhaoyuzhen <zhaoyuzhen@kylinos.cn>  Mon, 18 Jul 2022 10:39:12 +0800

kylin-scanner (3.2.0.5) v101; urgency=medium

  * BUG号：#109782 【用户手册】【摄像头】用户手册首页摄像头的图标icon需替换为寻光主题图标 
	        #120922 【UI】【扫描】浅色模式下，未连接扫描时，”连接扫描仪“按钮字体颜色为白色看不清
	        #118765 【藏语】【扫描】藏文系统扫描部分界面显示为英文
          #126288 【扫描】扫描-关于中没有版本号
          #126519 【扫描】浅色主题下，开始扫描按钮不是蓝色的
  * 需求号：无
  * 其他改动说明：无
  * 其他改动影响域：无

 -- zhaoyuzhen <zhaoyuzhen@kylinos.cn>  Mon, 27 Jun 2022 09:40:56 +0800

kylin-scanner (3.2.0.4) v101; urgency=medium

  * BUG号：无
  * 需求号：无
  * 其他改动说明：control文件新增SDK相关的依赖
  * 其他改动影响域：无

 -- zhaoyuzhen <zhaoyuzhen@kylinos.cn>  Fri, 17 Jun 2022 11:46:44 +0800

kylin-scanner (3.2.0.3) v101; urgency=medium

  * BUG号：#124542 【UKUI 3.1.4 走查】【设计】【扫描】下拉框样式问题
          #124539 【UKUI 3.1.4 走查】【设计】【扫描】工具栏样式问题
          #124534 【UKUI 3.1.4 走查】【设计】【扫描】深色模式背景色问题
  * 需求号：无
  * 其他修改说明：无
  * 其他改动影响域：无

 -- zhaoyuzhen <zhaoyuzhen@kylinos.cn>  Thu, 16 Jun 2022 10:32:03 +0800

kylin-scanner (3.2.0.2) v101; urgency=medium

  * BUG号：无
  * 需求号：无
  * 其他修改说明：SDK适配——打点，日志
  * 其他改动影响域：无

 -- zhaoyuzhen <zhaoyuzhen@kylinos.cn>  Thu, 24 Feb 2022 10:07:15 +0800

kylin-scanner (3.2.0.1) v101; urgency=medium

  * BUG号：#115252 【设计】【扫描】右侧边栏、文字识别页面优化
          #115251 【设计】【扫描】未连接设备界面调整
  * 需求号：无
  * 其他修改说明：无
  * 其他改动影响域：无

 -- zhaoyuzhen <zhaoyuzhen@kylinos.cn>  Thu, 24 Feb 2022 11:07:15 +0800

kylin-scanner (3.2.0.0) v101; urgency=medium

  * BUG号：无
  * 需求号：#13990 【麒麟扫描v3.2.0】SDK日志适配（非功能性需求）
  * 其他修改说明：无
  * 其他改动影响域：无

 -- zhaoyuzhen <zhaoyuzhen@kylinos.cn>  Thu, 24 Feb 2022 10:07:15 +0800

kylin-scanner (3.1.0-31) v101; urgency=medium

  * BUG号：110364 【扫描】缩小到5%后再放大到100%图片显示异常
  * BUG号：114683 【扫描】多页扫描名称设置超过253字符时可设置成功
  * BUG号：98919 【扫描】拖动扫描标题栏到桌面四角，改变扫描窗口大小后，标题栏按钮消失
  * BUG号：104052 【扫描】“开始扫描”四个字只在第一次改变字体的时候有大小变化
  * BUG号：98866 【扫描】在主页面，设置透明度后，鼠标点击桌面，或扫描页面不在置顶后，扫描页面与标题栏透明度出现变化
  * 需求号：无
  * 其他改动说明：无
  * 其他改动影响域：无

 -- zhaoyuzhen <zhaoyuzhen@kylinos.cn>  Mon, 13 Jun 2022 09:17:24 +0800

kylin-scanner (3.1.0-30) v101; urgency=medium

  * BUG号：无
  * 需求号：无
  * 其他改动说明：支持维哈柯语言
  * 其他改动影响域：无

 -- zhaoyuzhen <zhaoyuzhen@kylinos.cn>  Wed, 01 Jun 2022 11:03:53 +0800

kylin-scanner (3.1.0-29) v101; urgency=medium

  * BUG号：
        92599 【扫描】取消扫描按钮无效
        97570 【扫描】使用工具栏的旋转按钮，旋转以后页面少了三分之一
  * 需求号：无
  * 其他修改说明：修复28版本无法扫描的问题
  * 其他改动影响域：无

 -- zhaoyuzhen <zhaoyuzhen@kylinos.cn>  Tue, 31 May 2022 17:37:55 +0800

kylin-scanner (3.1.0-28) v101; urgency=medium

  * BUG号：无
  * 需求号：无
  * 其他修改说明：内容回退到3.1.0-26，3.1.0-27版本存在逻辑问题
  * 其他改动影响域：无

 -- zhaoyuzhen <zhaoyuzhen@kylinos.cn>  Wed, 09 Mar 2022 17:19:35 +0800

kylin-scanner (3.1.0-27) v101; urgency=medium

  * BUG号：
      91713 【扫描】【用例205037】多页扫描名称可设置大于252位，且扫描弹窗不对
      93179 【x100】【sp2通有】【用例94848】【扫描仪】扫描仪正在扫描时将系统睡眠再唤醒，提示扫描失败且界面卡死
  * 需求号：无
  * 其他修改说明：扫描文件的名称在单页扫描情况下，限制输入字符为246；扫描文件的名称在多页扫描情况下，限制输入字符为240；对于93179，修改为扫描过程中睡眠，扫描则会在结束当前扫描页后停止
  * 其他改动影响域：需检查系统睡眠后能否唤醒

 -- zhaoyuzhen <zhaoyuzhen@kylinos.cn>  Wed, 09 Mar 2022 17:19:35 +0800 

kylin-scanner (3.1.0-26) v101; urgency=medium

  * [BUG]
  - #103492, 拔掉pantum DS-230的usb线，扫描软件左边识别模块不会变成灰色
  - #94066, 扫描结果过小，显示在pdf整个文件的左上角
  - #94044, 扫描仪 `FUJITSU fi-7140` 扫描的区域与扫描仪设置不配对

 -- yushuoqi <yushuoqi@kylinos.cn>  Wed, 09 Mar 2022 17:19:35 +0800

kylin-scanner (3.1.0-25) v101; urgency=medium

  * [BUG] 
  - #98198, 英文模式的15号字体下，一些标题文本显示不全
  - #104014, 英文模式下字体大于10号，出现“Begin”显示不全
  - #98929, 英文模式下，字体变大后，右侧栏的英文显示不全
  - #104125, 15号字体下，保存路径显示不全

 -- yushuoqi <yushuoqi@kylinos.cn>  Wed, 02 Mar 2022 15:59:02 +0800

kylin-scanner (3.1.0-24) v101; urgency=medium

  * handle control, cancel kylin-user-guide breaks

 -- yushuoqi <yushuoqi@kylinos.cn>  Thu, 24 Feb 2022 10:07:15 +0800

kylin-scanner (3.1.0-23) v101; urgency=medium

  * [BUG] 
  - #104079, 插入扫描仪后，拔掉扫描仪，点击开始扫描后程序闪退

 -- yushuoqi <yushuoqi@kylinos.cn>  Mon, 24 Jan 2022 17:47:21 +0800

kylin-scanner (3.1.0-22) v101; urgency=medium

  * 其他
  - 修改control文件，处理因用户手册升级过程中管道断开的问题。

 -- yushuoqi <yushuoqi@kylinos.cn>  Thu, 30 Dec 2021 17:41:25 +0800

kylin-scanner (3.1.0-21) v101; urgency=medium

  * [BUG] 
  - #97574, 水印显示的太小，与设计稿不一致
  - #97586, 多页扫描出的文件名称不一致
  - #97578, 在英文模式下，扫描手册中，图片中的文字是中文

  * 其他
  - 缩减用户手册中的图片，避免包大小过大

 -- yushuoqi <yushuoqi@kylinos.cn>  Thu, 30 Dec 2021 10:49:12 +0800

kylin-scanner (3.1.0-20) v101; urgency=medium

  * handle compile error

  * [BUG]
  - #98198, 在英文模式，15号字体下，扫描的一些小标题文本显示不全
  - #97634, 在缺省页面下，插入扫描仪，没有实现热插拔，自动识别插入的扫描仪
  - #97641, 在扫描主页面下，拔掉扫描仪设备，没有相应的弹窗提示
  - #98210, 连接扫描仪，插入U盘，拔掉扫描仪会弹出‘有新设备接入....’提示框

 -- yushuoqi <yushuoqi@kylinos.cn>  Mon, 27 Dec 2021 17:43:24 +0800

kylin-scanner (3.1.0-19) v101; urgency=medium

  * [BUG]
  - #98198, 在英文模式，15号字体下，扫描的一些小标题文本显示不全
  - #97634, 在缺省页面下，插入扫描仪，没有实现热插拔，自动识别插入的扫描仪
  - #97641, 在扫描主页面下，拔掉扫描仪设备，没有相应的弹窗提示
  - #98210, 连接扫描仪，插入U盘，拔掉扫描仪会弹出‘有新设备接入....’提示框

 -- yushuoqi <yushuoqi@kylinos.cn>  Fri, 24 Dec 2021 17:19:57 +0800

kylin-scanner (3.1.0-18) v101; urgency=medium

  * [BUG]
  - #97761, 点击智能纠偏-取消，再点击文字识别,软件闪退
  - #97581, 调整字体大小，扫描应用标题栏上的“扫描”字体没有随着变化
  - #98845, 点击放大缩小按钮，有概率出现放大缩小一次不是5%

 -- yushuoqi <yushuoqi@kylinos.cn>  Fri, 24 Dec 2021 15:22:24 +0800

kylin-scanner (3.1.0-17) v101; urgency=medium

  * [BUG] 
  - #97565, 主页面下，只要扫描应用不在置顶，扫描页面就变成深色
  - #97557, 点击工具栏裁剪按钮，扫描应用闪退
  - #96997, 完成扫描后点击裁切，扫描应用闪退

 -- yushuoqi <yushuoqi@kylinos.cn>  Tue, 14 Dec 2021 15:34:00 +0800

kylin-scanner (3.1.0-16) v101; urgency=medium

  * [BUG] 
  - #91740, “扫描至”文本框文字没有左对齐
  - #93981, 裁切后的图片与裁切选框时不一致
  - #92603, 扫描界面中，点击“放大”、“缩小”按钮，无反应
  - #90620, 工具栏的缩小放大功能，不能使用

 -- yushuoqi <yushuoqi@kylinos.cn>  Fri, 10 Dec 2021 14:16:12 +0800

kylin-scanner (3.1.0-15) v101; urgency=medium

  * [BUG]
  - #91109, 插入U盘或者其它的移动设备，扫描应用弹出新设备的提示
  - #91725, 打开扫描，测试机USB接入非扫描仪设备，弹出新设备的提示
  - #92598,	用户手册图片显示与实际不一致
  - #90586,	扫描应用用户手册没有适配新版本
  - #95430, 扫描的用户手册显示异常
  - #95311, 用户手册中无扫描

 -- yushuoqi <yushuoqi@kylinos.cn>  Mon, 06 Dec 2021 15:45:35 +0800

kylin-scanner (3.1.0-14) v101; urgency=medium

  * [BUG]
  - #78908, 连接扫描设备FUJITSU fi-7140 ，扫描界面分辨率选项为空

  * [其他]
  - 修改窗口移到窗口四个角的自适应窗口问题

 -- yushuoqi <yushuoqi@kylinos.cn>  Mon, 06 Dec 2021 11:24:01 +0800

kylin-scanner (3.1.0-13) v101; urgency=medium

  * [BUG]
  - #90710, 各个模态框右上角没有关闭按钮，取消按钮与底边太远
  - #90741, 文字识别后，恢复不到主页面，点击侧边栏预览图片，无反应
  - #91109, 插入U盘或者其它的移动设备，扫描应用弹出新设备的提示
  - #93929, 文字识别弹窗提示语未汉化

 -- yushuoqi <yushuoqi@kylinos.cn>  Wed, 01 Dec 2021 17:45:50 +0800

kylin-scanner (3.1.0-12) v101; urgency=medium

  * [BUG]
  - #94009, 文字识别时关闭扫描应用后，无法重新打开

  * [其他]
  - 增加无扫描仪时对指定图片的后期编辑功能


 -- yushuoqi <yushuoqi@kylinos.cn>  Sat, 27 Nov 2021 22:45:13 +0800

kylin-scanner (3.1.0-11) v101; urgency=medium

  * [BUG] 
  - #93013, 打开扫描，切换图标主题，任务栏的扫描图标不能实时变化
  - #91092, 文字识别之后，缩略图上的文字识别图标没有消失 
  - #90716, 在扫描完成后，主页面显示扫描的结果图，预览图没有对应的选中状态
  - #93335, “一键美化”功能不能使用，在加载界面一直没有完成
  - #93322, 扫描完的文件保存了一个用户设置的格式和一个pnm格式的两个图片
  - #90729, 缺省页面下，连接扫描仪后，出现“检测扫描仪中，请稍后”提示横条太长了

  * [其他]
  - 增加裁切时的裁切框图片显示

 -- yushuoqi <yushuoqi@kylinos.cn>  Wed, 24 Nov 2021 11:30:59 +0800

kylin-scanner (3.1.0-10) v101; urgency=medium

  * [任务]
  - #61037 适配藏文翻译

  * [其他]
  - Match scanner: HP OfficeJet 250 Mobile ALL-in-One

 -- yushuoqi <yushuoqi@kylinos.cn>  Sun, 21 Nov 2021 15:43:34 +0800

kylin-scanner (3.1.0-9) v101; urgency=medium

  * handle compile depends: libfreeimage-dev, libfreeimageplus-dev

 -- yushuoqi <yushuoqi@kylinos.cn>  Thu, 18 Nov 2021 15:40:17 +0800

kylin-scanner (3.1.0-8) v101; urgency=medium

  * [BUG]
  - #90963, 左侧显示预览图的UI与设计图不符
  - #91136, 进行剪切的时候，“ctrl+z”按键不能使用
  - #90453, 未连接扫描仪时UI显示不全
  - #90589, 扫描的关于页面可以拉伸
  - #90627, 点击工具栏的旋转按钮，工具栏上移
  - #90693, 水印显示与设计稿不符
  - #90706, “开始扫描”按钮与控件没有对齐
  - #90818, 扫描完成后，对主页面进行窗口拖拽，主页面扫描图显示异常

 -- yushuoqi <yushuoqi@kylinos.cn>  Thu, 18 Nov 2021 10:55:28 +0800

kylin-scanner (3.1.0-7) v101; urgency=medium

  * [BUG]
  - #21126, 扫描图片进行修改后，不保存情况下关闭麒麟扫描，无提示

 -- yushuoqi <yushuoqi@kylinos.cn>  Fri, 12 Nov 2021 19:07:22 +0800

kylin-scanner (3.1.0-6) v101; urgency=medium

  * [BUG]
  - #90613, 进行多页扫描时，扫描完第一页后，“正在扫描页数：”的弹窗消失，无法关闭多页扫描

 -- yushuoqi <yushuoqi@kylinos.cn>  Fri, 12 Nov 2021 14:02:37 +0800

kylin-scanner (3.1.0-5) v101; urgency=medium

  * [BUG]:
  - #78908, 连接扫描设备FUJITSU fi-7140 ，扫描界面分辨率选项为空

  * 其他：
  - 切换用户时弹窗中文化


 -- yushuoqi <yushuoqi@kylinos.cn>  Tue, 09 Nov 2021 14:34:06 +0800

kylin-scanner (3.1.0-4) v101; urgency=medium

  * handle  <ukui-log4qt.h> error 

 -- yushuoqi <yushuoqi@kylinos.cn>  Sat, 06 Nov 2021 12:17:29 +0800

kylin-scanner (3.1.0-3) v101; urgency=medium

  * add libukui-log4qt-dev package 

 -- yushuoqi <yushuoqi@kylinos.cn>  Sat, 06 Nov 2021 11:51:47 +0800

kylin-scanner (3.1.0-2) v101; urgency=medium

  * handle build problem by ukui-logrqt  header file

 -- yushuoqi <yushuoqi@kylinos.cn>  Sat, 06 Nov 2021 11:29:32 +0800

kylin-scanner (3.1.0-1) v101; urgency=medium

  * [需求号]: 
  - 扫描新增批量扫描功能 (Closes: #7539)
  - 扫描新版UI重构 (Closes: #7537)
  - 文件扫描重构 (Closes: #7500)

  * [任务号]:
  - 扫描UKUI3.1版本开发 (Closes: #44198)
  - 扫描新版UI重构 (Closes: #45597)
  - 扫描新增批量扫描功能 (Closes: #45598)

  * 其他修改：
  - Handle chinese translations
  - Add build package: libopencv-dev


 -- yushuoqi <yushuoqi@kylinos.cn>  Sat, 06 Nov 2021 10:48:13 +0800

kylin-scanner (3.0.0-1) v101; urgency=medium

  * update for version: 3.0.0-1
  * [任务]: Closes: #44198, #45597, #45598
  - 扫描UKUI3.1版本开发 (Closes: #44198)
  - 扫描新版UI重构 (Closes: #45597)
  - 扫描新增批量扫描功能 (Closes: #45598)


 -- yushuoqi <yushuoqi@kylinos.cn>  Fri, 05 Nov 2021 20:42:54 +0800

kylin-scanner (1.0.0-42) v101; urgency=medium

  * [任务]: Closes: #59233
  - desktop增加藏文名称和简介

  * 其他改动：无

 -- yushuoqi <yushuoqi@kylinos.cn>  Wed, 03 Nov 2021 14:14:38 +0800

kylin-scanner (1.0.0-41) v101; urgency=medium

  * [BUG]: Closes: #85422
  - 【PTOF】打开扫描后切换用户，重新打开扫描时弹出的确认打开弹窗未汉化

 -- yushuoqi <yushuoqi@kylinos.cn>  Fri, 15 Oct 2021 11:39:21 +0800

kylin-scanner (1.0.0-40) v101; urgency=medium

  * [BUG]: Closes: #83620
    - 同一个用户，已打开扫描应用的情况下，再次从开始菜单中打开，会有已被用户使用的提示

 -- yushuoqi <yushuoqi@kylinos.cn>  Wed, 13 Oct 2021 13:52:02 +0800

kylin-scanner (1.0.0-39) v101; urgency=medium

  * [BUG]: Closes: #83938
    - 在没有连接扫描仪下，打开扫描，静置几秒钟后，扫描卡死（Closes: #83938）

 -- yushuoqi <yushuoqi@kylinos.cn>  Tue, 12 Oct 2021 16:23:11 +0800

kylin-scanner (1.0.0-38) v101; urgency=medium

  * [BUG]: Closes: #80696
    - 处理打开应用立马关闭时无法正常关闭的问题 （Closes: #80696）

 -- yushuoqi <yushuoqi@kylinos.cn>  Mon, 13 Sep 2021 19:58:35 +0800

kylin-scanner (1.0.0-37) v101; urgency=medium

  * [BUG]: Closes: #78918, #78916
    - 处理弹窗的扫描纸张翻译问题 （Closes: #78918）
    - 处理不放入扫描件进行扫描的扫描设置无法选择问题 (Closes: #78916)

 -- yushuoqi <yushuoqi@kylinos.cn>  Thu, 09 Sep 2021 16:41:28 +0800

kylin-scanner (1.0.0-36) v101; urgency=medium

  * [BUG]: Closes: #76273
    - 处理松下扫描仪KV-N1058Y使用麒麟扫描时无法修改色彩设置 (Closes: #76273)

 -- yushuoqi <yushuoqi@kylinos.cn>  Fri, 03 Sep 2021 11:48:35 +0800

kylin-scanner (1.0.0-35) v101; urgency=medium

  [BUG]: Closes: #75905, #76311
  * 处理频繁启动和关闭程序导致的core文件问题 (Closes: #75905)
  * 处理关于界面可拉伸问题 (Closes: #76311)

 -- yushuoqi <yushuoqi@kylinos.cn>  Fri, 27 Aug 2021 09:33:52 +0800

kylin-scanner (1.0.0-34) v101; urgency=medium

  [BUG]: Closes: #58722
  * 完善智能纠偏算法，并处理拔出扫描仪未同步更新设备状态问题（Closes: #58722）

 -- yushuoqi <yushuoqi@kylinos.cn>  Wed, 18 Aug 2021 13:40:35 +0800

kylin-scanner (1.0.0-33) v101; urgency=medium

  [ BUG 号 ]
  * Closes: #62458
    - 解决遍历修改格式后扫描失败的问题 (Closes: #62458 sp1)
  
  [ 任务号 ] 
  * 无 
  
  [ 需求号 ] 
  * 无 
  
  [ 其他改动说明 ] 
  * 无 
  

 -- yushuoqi <yushuoqi@kylinos.cn>  Wed, 21 Jul 2021 11:23:56 +0800

kylin-scanner (1.0.0-32) v101; urgency=medium

  [ BUG 号 ] 
  * Closes: #54621, #60744
    - 解决网络链接/USB链接扫描仪，扫描文档失败的问题 (Closes: #54621 3A5000)
    - 解决系统16号字体下，扫描设置页面的字体显示不全问题 (Closes: #60744 hwe)

 -- yushuoqi <yushuoqi@kylinos.cn>  Thu, 08 Jul 2021 14:46:30 +0800

kylin-scanner (1.0.0-31) v101; urgency=medium

  [ BUG 号 ] 
  * Closes: #58686
    - 解决扫描中切换设备的闪退问题 (Closes: #58686 sp1)
  
  [ 任务号 ] 
  * 无 
  
  [ 需求号 ] 
  * 无 
  
  [ 其他改动说明 ] 
  * 无 
  

 -- yushuoqi <yushuoqi@kylinos.cn>  Tue, 06 Jul 2021 15:12:13 +0800

kylin-scanner (1.0.0-30hw1) v101.hw; urgency=medium

  [ BUG 号 ] 
  * Closes: #64570, #62518
    - 解决连接canon扫描仪后切换设备，扫描闪退问题 (Closes: #64570 990)
    - 解决使用网络打印机扫描文件切换设备应用闪退问题 (Closes: #62518 9A0)

 -- yushuoqi <yushuoqi@kylinos.cn>  Tue, 06 Jul 2021 14:40:28 +0800

kylin-scanner (1.0.0-30) v101; urgency=medium

  [ BUG 号 ] 
  * Closes: #63549, #52226, #58731
    - 解决系统主题更新后，关于界面的邮件链接没法看清问题 (Closes: #63549)
    - 解决发送至evolution邮箱，扫描文件未出现问题 (Closes: #52226)
    - 解决智能纠偏不生效问题 (Closes: #58731)
  
  [ 任务号 ] 
  * 无 
  
  [ 需求号 ] 
  * 无 
  
  [ 其他改动说明 ] 
  * 无 
  

 -- yushuoqi <yushuoqi@kylinos.cn>  Fri, 25 Jun 2021 20:08:48 +0800

kylin-scanner (1.0.0-29) v101; urgency=medium

  [ BUG 号 ] 
  * Closes: #62291, #62272, #62270, #62461
    - 解决一键美化失败 (Closes: #62291)
    - 解决智能纠偏失败 (Closes: #62272)
    - 解决文字识别失败 (Closes: #62270)
    - 解决家目录提示没有权限问题 (Closes: 62461)
  
  [ 任务号 ] 
  * 无 
  
  [ 需求号 ] 
  * 无 
  
  [ 其他改动说明 ] 
  * 解决裁切时选择框最大化右边区域不可见问题
  

 -- yushuoqi <yushuoqi@kylinos.cn>  Tue, 22 Jun 2021 15:49:48 +0800

kylin-scanner (1.0.0-28) v101; urgency=medium

  [ BUG 号 ] 
  * Closes: #34906
    - 解决切换功能栏的按钮卡顿问题 (Closes: #34906)
  
  [ 任务号 ] 
  * 无 
  
  [ 需求号 ] 
  * 无 
  
  [ 其他改动说明 ] 
  * 解决新增等待页面未汉化问题
  * 解决新增等待页面未跟随主题样式改变问题
  

 -- yushuoqi <yushuoqi@kylinos.cn>  Tue, 08 Jun 2021 23:40:53 +0800

kylin-scanner (1.0.0-27) v101; urgency=medium

  [ BUG 号 ] 
  * Closes: #35169, #34906
    - 解决编辑栏功能易用性不好的问题 (Closes: #35169) 
    - 解决切换功能栏的按钮卡顿问题 (Closes: #34906)
  
  [ 任务号 ] 
  * Closes: #33372
    - 解决主界面控件未与主题统一的问题 (Closes: #33372)
  
  [ 需求号 ] 
  * Closes: #6530 
  
  [ 其他改动说明 ] 
  * 解决黑色图标未反白的问题
  * 解决编辑界面的扫描类型控件未与UI对齐问题

 -- yushuoqi <yushuoqi@kylinos.cn>  Tue, 08 Jun 2021 18:25:01 +0800

kylin-scanner (1.0.0-26) v101; urgency=medium

  [ BUG 号 ]
  * Closes: #56712, #56722, #57278, #49988
    - 解决尺寸切换，部分内容未扫描出来问题 (Closes: #56712 sp1)
    - 解决色彩为彩色，对扫描结果进行操作，扫描应用闪退问题 (Closes: #56722 sp1)
    - 解决无邮件客户端发送至邮件，没有弹窗打开软件商店问题 (Closes: #57278 sp1)
    - 解决分辨率改为600程序卡死问题 (Closes: #49988 sp1)

  [ 任务号 ]
  * 无

  [ 需求号 ]
  * 无

  [ 其他改动说明 ]
  * rebuilt for 1.0.0-25

 -- yushuoqi <yushuoqi@kylinos.cn>  Thu, 27 May 2021 16:07:29 +0800

kylin-scanner (1.0.0-25) v101; urgency=medium

  [ BUG 号 ]
  * Closes: #56712, #56722, #57278, #49988
    - 解决尺寸切换，部分内容未扫描出来问题 (Closes: #56712 sp1)
    - 解决色彩为彩色，对扫描结果进行操作，扫描应用闪退问题 (Closes: #56722 sp1)
    - 解决无邮件客户端发送至邮件，没有弹窗打开软件商店问题 (Closes: #57278 sp1)
    - 解决分辨率改为600程序卡死问题 (Closes: #49988 sp1)

  [ 需求号 ]
  * 无

  [ 其他改动说明 ]
  * 无

 -- yushuoqi <yushuoqi@kylinos.cn>  Wed, 26 May 2021 10:52:58 +0800

kylin-scanner (1.0.0-24) v101; urgency=medium

  [ BUG 号 ]
  * 无

  [ 任务号 ]
  * Closes: #29444
    - 解决应用图标统一性问题 (Closes: #29444)

  [ 需求号 ]
  * 无

  [ 其他改动说明 ]
  * 修改弹窗代码格式

 -- yushuoqi <yushuoqi@kylinos.cn>  Tue, 18 May 2021 09:47:14 +0800

kylin-scanner (1.0.0-23) v101; urgency=medium

  * BUG 号: 52804, 53887, 47329
  * 需求号: 无
  * 其他改动说明：
  *     1. 增加程序退出时对应开启的线程也退出流程
  *     2. 处理发送邮件按钮在初始扫描完成后点击样式问题
  *     3. 增加关于界面自动获取软件版本的接口

 -- yushuoqi <yushuoqi@kylinos.cn>  Mon, 10 May 2021 17:21:08 +0800

kylin-scanner (1.0.0-22) v101; urgency=medium

  * BUG 号: 49259, 34906, 51708
  * 需求号: 26907
  * 其他改动说明：无

 -- yushuoqi <yushuoqi@kylinos.cn>  Fri, 23 Apr 2021 14:23:19 +0800

kylin-scanner (1.0.0-21) v101; urgency=medium

  * BUG 号: 无
  * 需求号: 26483
  * 其他改动说明：
  *     1. 更改任务栏和关于界面图标实时更新

 -- yushuoqi <yushuoqi@kylinos.cn>  Fri, 16 Apr 2021 17:12:53 +0800

kylin-scanner (1.0.0-20) v101; urgency=medium

  * BUG 号: 47292, 47329, 48671
  * 需求号: 26483, 26143
  * 其他改动说明：
  *     1. 依照代码变量名规范修改代码
  *     2. 简化界面代码的初始化

 -- yushuoqi <yushuoqi@kylinos.cn>  Wed, 14 Apr 2021 09:58:26 +0800

kylin-scanner (1.0.0-19) v101; urgency=medium

  * [English]
  * Fix #45705, Fix send mail dialog not work while running evolution
  *
  * [中文]
  * Fix #45705, 点击邮件客户端后直接退出提示框，没有调用出邮件客户端登录界面

 -- yushuoqi <yushuoqi@kylinos.cn>  Thu, 08 Apr 2021 15:58:45 +0800

kylin-scanner (1.0.0-18) v101; urgency=medium

  * [English] 
  * Fix #46157, Modify init connection for Canon Lide 300 and Canon Lide 400
  * Fix #44423, Modify application version for about dialog
  * Fix #39825, Add judge save file directory permission
  *
  * [中文]
  * Fix #46157, 解决佳能Lide 300和佳能Lide 400系列扫描仪识别失败的问题
  * Fix #44423, 解决关于界面的版本和软件包版本不一致问题
  * Fix $39825, 增加扫描文件夹路径为当前用户没有权限时的提示

 -- yushuoqi <yushuoqi@kylinos.cn>  Thu, 01 Apr 2021 16:08:23 +0800

kylin-scanner (1.0.0-17) v101; urgency=medium

  * [English] 
  * Fix #41090, Modify chinese translation for about dialog
  *
  * [中文]
  * Fix #41090, 关于中，邮箱前文字建议修改为“服务与支持团队”

 -- yushuoqi <yushuoqi@kylinos.cn>  Mon, 29 Mar 2021 14:00:38 +0800

kylin-scanner (1.0.0-1kylin1k16) v101; urgency=medium

  * [English] 
  * Fix #40766, Add message notification while open application again
  *
  * [中文]
  * Fix #40766, 增加再次打开应用的信息提示

 -- yushuoqi <yushuoqi@kylinos.cn>  Wed, 24 Mar 2021 19:50:55 +0800

kylin-scanner (1.0.0-1kylin1k15) v101; urgency=medium

  * [English] 
  * Fix #25752: Modify rectify algorithm to handle scanner images
  * Fix #42218: Fix 4k display while choose 200%
  * Fix #28782: Add attach while select a mail client
  *
  * [中文]
  * Fix #25752: 优化智能纠偏算法
  * Fix #42218: 适配4k显示屏
  * Fix #28782: 在邮件客户端中自动加载当前界面的图片附件

 -- yushuoqi <yushuoqi@kylinos.cn>  Thu, 18 Mar 2021 18:36:25 +0800

kylin-scanner (1.0.0-1kylin1k14) v101; urgency=medium

  * [English] 
  * Fix #28817, Modify btnScan text while scanning
  *
  * [中文]
  * Fix #28817, 修改扫描按钮点击后扫描中的动图显示

 -- yushuoqi <yushuoqi@kylinos.cn>  Fri, 12 Mar 2021 13:56:44 +0800

kylin-scanner (1.0.0-1kylin1k13) v101; urgency=medium

  * [English]
  * Fix #38223, Make dialog center on the screen without taskbar
  * Fix #38331, cancel url right click tips
  * Fix #28932, Modify btnSave text after scan again
  * Fix #35951, handle hotplug scanner while disconnect scanner
  * Fix #35960, Handle color mode in english environment
  *
  * [中文]
  * Fix #38223，修复麒麟扫描打开未居中显示
  * Fix #38331，取消关于界面的链接右击显示内容  
  * Fix #28932，修复再一次扫描时的另存为对话框显示问题
  * Fix #35951，修复已选择的设备断开连接未提示问题
  * Fix #35960，修复英文环境下彩色模式扫描异常问题

 -- yushuoqi <yushuoqi@kylinos.cn>  Sun, 07 Feb 2021 17:13:43 +0800

kylin-scanner (1.0.0-1kylin1k12) v101; urgency=medium

  * [English]
  * Fix #27162, tailor function abnormal
  * Fix #34914, textDevice display not complete
  * Fix #19420, Add high resolution message tips
  * Fix #35558, Handle button status after click scan button
  *
  * [中文]
  * Fix #27162，裁切功能异常
  * Fix #34914，设备选项显示不完全
  * Fix #19420，分辨率选择较大时，给出扫描过程较慢的提示
  * Fix #35558，处理扫描过程中出错时的按钮状态

 -- yushuo1i <yushuo1i@kylinos.cn>  Mon, 01 Feb 2021 20:04:10 +0800

kylin-scanner (1.0.0-1kylin1k11) v101; urgency=medium

  * [English] 
  * Fix #35630, save file dialog cannot save correctly
  * Fix #35695, cannot display Help and About dialog
  * Fix #25740, limit filename maxlength
  * Fix #35549, translate question dialog
  * Add filename lineedit judge while input '.' and '/' character
  *
  * [中文]
  * Fix #25630, 修复另存为对话框不能正确保存图片
  * Fix #35695，新增主菜单的帮助和关于对话框
  * Fix #25740，修复文件名长度问题
  * Fix #35549, 汉化询问对话框
  * 增加文件名编辑框对于 '.' 和 '/' 字符的实时判断

 -- yushuoqi <yushuoqi@kylinos.cn>  Wed, 27 Jan 2021 17:36:30 +0800

kylin-scanner (1.0.0-1kylin1k10) v101; urgency=medium

  * [English]
  * Fix #27702, scan break after click rectify button
  * Fix #28815, label words cannot display correctly
  * Fix #28817, funcBar scan button translation
  * Fix #28924, window shadow, titlebar style
  * Add log module color display
  *
  * [中文]
  * 修复#27702，扫描过程中，点击"智能纠偏"，应用闪退
  * 修复#28815，英文环境下，麒麟扫描界面文字显示不全
  * 修复#28817，英文环境下，麒麟扫描“扫描中”和扫描完成后，“扫描”按钮变成中文
  * 修复#28924，主界面无边框阴影
  * 增加日志模块颜色显示

 -- yushuoqi <yushuoqi@kylinos.cn>  Thu, 24 Dec 2020 20:29:40 +0800

kylin-scanner (1.0.0-1kylin1k9) v101; urgency=medium

  * Modify watermarkDlg btnOk judge while input null
  * Add some depends
  * Fix #27158, Modify Save As button text

 -- yushuoqi <yushuoqi@kylinos.cn>  Wed, 02 Dec 2020 14:46:55 +0800

kylin-scanner (1.0.0-1kylin1k8) v101; urgency=medium

  * Fix #23892, Modify default light theme for v10.1;
  * Fix #26774, Modify titlebar button style; Fix #23892 and #26774
  * Modify application icons

 -- yushuoqi <yushuoqi@kylinos.cn>  Sat, 28 Nov 2020 17:30:10 +0800

kylin-scanner (1.0.0-1kylin1k7) v101; urgency=medium

  * Fix #25735, Moving window is abnormal while window is maximized 

 -- yushuoqi <yushuoqi@kylinos.cn>  Fri, 20 Nov 2020 16:13:00 +0800

kylin-scanner (1.0.0-1kylin1k6) v101; urgency=medium

  * Delete complicated icons
  * Modify tailorLabel for copyright
  * Fix #20503, Limit length of textName to 252 characters
  * Fix #25740，Modify translations 

 -- yushuoqi <yushuoqi@kylinos.cn>  Thu, 19 Nov 2020 16:34:01 +0800

kylin-scanner (1.0.0-1kylin1k5) v101; urgency=medium

  * Fix #23892, Add light theme style
  * Fix #19448, Make smart correction more accurate
  * Fix #19338, Fix taskbar icon is different from titlebar and menu icon
  * Fix #21148, tailor label are too thinner
  * Fix #23265, translate comment while startup
  * Add singleApplication with supporting vnc
  * Add system theme judge for white and black
  * Modify button color from green to blue and border-radius to 4px
  * Modify control dependence content
  * Modify some style
  * Translate system tray text
  * Increase log management

 -- yushuoqi <yushuoqi@kylinos.cn>  Tue, 17 Nov 2020 16:47:49 +0800

kylin-scanner (1.0.0-1kylin1k4) v101; urgency=medium

  * Add gsettings-qt in src.pro 

 -- yushuoqi <yushuoqi@kylinos.cn>  Wed, 21 Oct 2020 16:41:49 +0800

kylin-scanner (1.0.0-1kylin1k3) v101; urgency=medium

  * Add libgsettings-qt-dev depends

 -- Derek-Wong <wangye@kylinos.cn>  Wed, 21 Oct 2020 16:05:16 +0800

kylin-scanner (1.0.0-1kylin1k2) v101; urgency=medium

  * comment "PKGCONFIG += gsettings-qt" in src/src.pro

 -- Bi Wenjie <biwenjie@kylinos.cn>  Wed, 21 Oct 2020 13:53:48 +0800

kylin-scanner (1.0.0-1kylin1k1) v101; urgency=medium

  * [English changelog]
  * Fix #21143, handle watermarkDlg font's opacity and colouration chinese
  * Fix #19671, handle do not fit 4k display screen
  * Fix #21168, Save-as dialog cannot save file while lack of suffix
  * Fix #21131, btnMail and btnSave could click before scan
  * Fix segment while switch system theme; Add singleApplication class
  * Add DEBUG_EDIT condition to compile while not finding a scanner in debug module
  * Save it as a document for Chinese translation
  * Modify tailor button click style and add press Key_Space to tailor
  * 
  *
  * [Chinese changelog]
  * Fix #21143, 处理水印透明度和中文汉化
  * Fix #19671, 进行适配4k显示屏
  * Fix #21168, 处理另存为按钮在缺少前缀时不能保存文件的问题
  * Fix #21131, 发送邮件和另存为按钮在扫描开始前设置为不可点击
  * 修复切换主题出现的段错误
  * 修复另存为对话框的汉化问题
  * 修复裁切按钮点击风格和增加空格键进行裁切选择

 -- Bi Wenjie <biwenjie@kylinos.cn>  Wed, 21 Oct 2020 12:30:20 +0800

kylin-scanner (1.0.0-1kylin1) V101; urgency=medium

  * rebuild for kylin

 -- Bi Wenjie <biwenjie@kylinos.cn>  Wed, 23 Sep 2020 10:31:34 +0800

kylin-scanner (1.0.0-1) unstable; urgency=low

  * Initial release. (Closes: #969783)

 -- handsome_feng <jianfengli@ubuntukylin.com>  Thu, 03 Sep 2020 17:47:27 +0800

